<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Export ServiceType
 * @subpackage Services
 */
class Export extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named Export_ViaRoute_GPX
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Export_ViaRoute_GPX $parameters
     * @return \StructType\Export_ViaRoute_GPXResponse|bool
     */
    public function Export_ViaRoute_GPX(\StructType\Export_ViaRoute_GPX $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Export_ViaRoute_GPX($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\Export_ViaRoute_GPXResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
